Subject: bug#12095: Protecting pointer on bytevector with guardian does not protect memory

From: Ian Price <[email-masked]>
Date: Mon, 06 Aug 2012 17:37:17 +0100

Patrick Bernaud <[email-masked]> writes:

> With auto compilation turned on, it looks like the problem can not be
> reproduced.

I cannot reproduce this on 32 bit fedora 16 with guile (GNU Guile)
2.0.6-dirty (commit 1321a36ed61deb9431b41768dc92cb7230c9afa1). However,
there was one caveat, as I didn't have html prag, I substituted for
various other libraries (ice-9 regex)/(ice-9 threads)/(sxml simple)/ and
my own (pfds queues).

Is this bug somehow particular to htmlprag, or can you confirm it with others?

-- 
Ian Price

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"